LibreOffice: XSchema Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSchema Interface Referencepublished

Handles access to the elements of a component schema, i.e its templates and its component definition. More...

`import "XSchema.idl";`

Inheritance diagram for XSchema:

## Public Member Functions
void | readSchema ([in] XSchemaHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes the full schema (templates + component) to a XSchemaHandler.
void | readComponent ([in] XSchemaHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes only the component definition to a XSchemaHandler.
void | readTemplates ([in] XSchemaHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes the component templates to a XSchemaHandler.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Handles access to the elements of a component schema, i.e its templates and its component definition.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ readComponent()

void readComponent | ( | [in] XSchemaHandler | aHandler | ) |
raises | ( | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::WrappedTargetException,
|  | MalformedDataException ) |  |  |

Describes only the component definition to a XSchemaHandler.

Parameters

  aHandler | schema handler that will receive calls describing the contents of the component definition

Exceptions

  com::sun::star::lang::NullPointerException | if a `NULL` handler is passed.
  com::sun::star::lang::WrappedTargetException | if an error occurs in the access to or processing of the data or if a subsequent call to any of the XSchemamethods is made. The elements of a component schema are only parsed once,a repeat call leads to exception.
  com::sun::star::configuration::backend::MalformedDataException | if the data read from the layer is rejected as invalid by the XSchemaHandler.

## ◆ readSchema()

void readSchema | ( | [in] XSchemaHandler | aHandler | ) |
raises | ( | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::WrappedTargetException,
|  | MalformedDataException ) |  |  |

Describes the full schema (templates + component) to a XSchemaHandler.

Parameters

  aHandler | schema handler that will receive calls describing the contents of the templates and the component definition

Exceptions

  com::sun::star::lang::NullPointerException | if a `NULL` handler is passed.
  com::sun::star::lang::WrappedTargetException | if an error occurs in the access to or processing of the data or if a subsequent call to any of the XSchemamethods is made. The elements of a component schema are only parsed once,a repeat call leads to exception.
  com::sun::star::configuration::backend::MalformedDataException | if the data read from the layer is rejected as invalid by the XSchemaHandler.

## ◆ readTemplates()

void readTemplates | ( | [in] XSchemaHandler | aHandler | ) |
raises | ( | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::WrappedTargetException,
|  | MalformedDataException ) |  |  |

Describes the component templates to a XSchemaHandler.

Parameters

  aHandler | schema handler that will receive calls describing the contents of the templates

Exceptions

  com::sun::star::lang::NullPointerException | if a `NULL` handler is passed.
  com::sun::star::lang::WrappedTargetException | if an error occurs in the access to or processing of the data or if a subsequent call to any of the XSchemamethods is made. The elements of a component schema are only parsed once,a repeat call leads to exception.
  com::sun::star::configuration::backend::MalformedDataException | if the data read from the layer is rejected as invalid by the XSchemaHandler.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XSchema.idl